# norootforbuild

%define soname 1

Name:				libbinio%{soname}
Version:			1.4
Release:			1.pm.4.1
Summary:			Binary I/O Stream Class Library
Source:			http://prdownloads.sourceforge.net/libbinio/libbinio-%{version}.tar.bz2
Patch0:			libbinio-1.4-gcc43.patch
URL:				http://libbinio.sourceforge.net/
Group:			System/Libraries
License:			GNU Library General Public License version 2.1 (LGPL v2.1)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	gcc-c++ libstdc++-devel
BuildRequires:	make glibc-devel pkgconfig
BuildRequires:	autoconf automake libtool
Provides:		libbinio = %{version}-%{release}

%description
The binary I/O stream class library presents a platform-independent way to
access binary data streams in C++. It transparently converts between
machine-internal binary data representation and can be used on arbitrary
binary data sources.




Authors:
--------
    Simon Peter <dn.tlp@gmx.net>    

%package -n libbinio-devel
Summary:			Binary I/O Stream Class Library
Group:			Development/Libraries/C and C++
Requires:		%{name} = %{version}-%{release}

%description -n libbinio-devel
The binary I/O stream class library presents a platform-independent way to
access binary data streams in C++. It transparently converts between
machine-internal binary data representation and can be used on arbitrary
binary data sources.




Authors:
--------
    Simon Peter <dn.tlp@gmx.net>    


%prep
%setup -q -n "libbinio-%{version}"
%patch0 -p1

%build
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%__rm "%{buildroot}%{_infodir}/dir"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libbinio.so.%{soname}
%{_libdir}/libbinio.so.%{soname}.*.*

%files -n libbinio-devel
%defattr(-,root,root)
%{_includedir}/libbinio
%{_libdir}/libbinio.so
%{_libdir}/libbinio.la
%{_libdir}/libbinio.a
%{_libdir}/pkgconfig/libbinio.pc
%doc %{_infodir}/libbinio.info*

%changelog
* Mon Jul  7 2008 Pascal Bleser <guru@unixtech.be> 1.4-0.pm.1
- new package

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
